Create a gist now

Instantly share code, notes, and snippets.

What would you like to do?
Windows + JRuby環境にfluentdを入れてみて3秒で挫折したメモ
ruby.bat -S gem install fluentd --no-ri --no-rdoc
Fetching: msgpack-0.4.7.gem (100%)
Building native extensions. This could take a while...
WARNING: JRuby does not support native extensions or the `mkmf' library.
Check wiki.jruby.org for alternatives.
extconf.rb:3: undefined method `<<' for nil:NilClass (NoMethodError)
ERROR: Error installing fluentd:
ERROR: Failed to build gem native extension.
はい、3秒で終わり┌(┌ ^o^)┐
流行に乗れないなぁ・・・
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment